Index: channels/chan_sip.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_sip.c,v
retrieving revision 1.295
diff -u -r1.295 chan_sip.c
--- channels/chan_sip.c	9 Feb 2004 06:09:45 -0000	1.295
+++ channels/chan_sip.c	10 Feb 2004 19:57:49 -0000
@@ -2023,7 +2023,7 @@
 					return -1;
 				}
 				if (sipdebug)
-					ast_verbose("Found audio format %s\n", ast_getformatname(codec));
+					ast_verbose("Found audio format %s\n", ast_getformatname(ast_rtp_lookupPayLoadType(codec)));
 				ast_rtp_set_m_type(p->rtp, codec);
 				codecs += len;
 				/* Skip over any whitespace */
Index: rtp.c
===================================================================
RCS file: /usr/cvsroot/asterisk/rtp.c,v
retrieving revision 1.47
diff -u -r1.47 rtp.c
--- rtp.c	25 Nov 2003 21:15:28 -0000	1.47
+++ rtp.c	10 Feb 2004 19:57:50 -0000
@@ -48,12 +48,6 @@
 static int rtpstart = 0;
 static int rtpend = 0;
 
-// The value of each payload format mapping:
-struct rtpPayloadType {
-  int isAstFormat; // whether the following code is an AST_FORMAT
-  int code;
-};
-
 #define MAX_RTP_PT 256
 
 struct ast_rtp {
@@ -657,6 +651,11 @@
   return -1;
 }
 
+/* Lookup IANA RTP payload code and return AST codec code */
+int ast_rtp_lookupPayLoadType(int ianacode) {
+  return static_RTP_PT[ianacode].code;
+}
+
 char* ast_rtp_lookup_mime_subtype(int isAstFormat, int code) {
   int i;
 
Index: include/asterisk/rtp.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/rtp.h,v
retrieving revision 1.13
diff -u -r1.13 rtp.h
--- include/asterisk/rtp.h	15 Nov 2003 00:52:49 -0000	1.13
+++ include/asterisk/rtp.h	10 Feb 2004 19:57:50 -0000
@@ -44,6 +44,13 @@
 	struct ast_rtp_protocol *next;
 };
 
+// The value of each payload format mapping:
+struct rtpPayloadType {
+  int isAstFormat; // whether the following code is an AST_FORMAT
+  int code;
+};
+
+
 struct ast_rtp;
 
 typedef int (*ast_rtp_callback)(struct ast_rtp *rtp, struct ast_frame *f, void *data);
@@ -88,6 +95,8 @@
 struct rtpPayloadType ast_rtp_lookup_pt(struct ast_rtp* rtp, int pt);
 int ast_rtp_lookup_code(struct ast_rtp* rtp, int isAstFormat, int code);
 
+int ast_rtp_lookupPayLoadType(int ianacode);
+
 void ast_rtp_get_current_formats(struct ast_rtp* rtp,
 			     int* astFormats, int* nonAstFormats);
 
